<p>We manage servers for many different clients.  Most use an upstream Open edX release (slightly modified to run on our infrastructure), but others need a special branch because they have more customizations that haven't been merged upstream yet.
  Check our <a href="https://private.doc.opencraft.com/maintained_instances/#maintained-instances">list of maintained instances</a> to find out whether an instance uses a custom branch or not.</p>
<p>Before you work on a task, make sure of whether it requires a special devstack. Using the same devstack to switch between very different versions is known to cause problems, so if possible keep separate devstacks for separate Open edX versions.</p>
